This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 794511 - [as7] Standalone server not discovered on windows
[as7] Standalone server not discovered on windows
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 19:51 EST by Lukas Krejci
Modified: 2013-09-01 06:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-02-16 19:51:46 EST
Description of problem:
$SUBJECT

Version-Release number of selected component (if applicable):
4.3.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. Run AS 7.1.0.Final on windows (win xp in my case)
2. run discovery on the agent on that machine
  
Actual results:
as7 not discovered

Expected results:
discovery successful

Additional info:
Comment 1 Lukas Krejci 2012-02-16 20:17:08 EST
Agent.log contains only this:

2012-02-17 00:47:32,781 WARN  [ResourceDiscoveryComponent.invoker.daemon-3] (rhq.modules.plugins.jbossas7.BaseProcessDiscovery)- Discovery for a ResourceType[id=0, name=JBossAS7 Standalone Server, plugin=jboss-as-7, category=Server] failed for process ProcessScanResult: scan=[ProcessScan: query=[process|basename|match=^java.*,arg|org.jboss.as.standalone|match=.*], name=[StandaloneAS]], info=[process: pid=[1044], name=[C:\jdk1.6.0_23\bin\java.exe], ppid=[1396]] :String index out of range: -1
Comment 2 Lukas Krejci 2012-02-16 21:14:42 EST
master
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=33f37995be9b4f21d16bbca6bebeee0369f81661
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Feb 17 03:10:06 2012 +0100

    [BZ 794511] - make sure to use the correct path separator in boot log path.
    Left some notes on places where I think there might be a similar problem.
    It is hard to tell though, because from the quick look I had, AS7 seems
    a bit undecided about what separator to use in file paths. How does
    java.io.File handle the file paths on windows? I have a feeling that it
    does handle both '\' and '/' transparently.
Comment 3 Heiko W. Rupp 2013-09-01 06:13:38 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.